var CLEAR = 'rgba(255, 255, 255, 0)';
COLOR = {
    BLONDE_LIGHT: 'rgba(255, 248, 138, 1)',
    BROWN_LIGHT: 'rgba(78, 42, 0, 1)',
    BROWN_DARK: 'rgba(41, 22, 0, 1)',
    SKIN_LIGHT: 'rgba(255, 219, 178, 1)',
    SKIN_DARK_1: 'rgba(126, 91, 51, 1)',
    SKIN_DARK_2: 'rgba(39, 21, 0, 1)',
    SHIRT_RED_1: 'rgba(255, 6, 6, 1)',
    SHIRT_RED_2: 'rgba(115, 6, 6, 1)',
    SHIRT_RED_3: 'rgba(65, 6, 6, 1)',
    SHIRT_GREEN_1: 'rgba(17, 88, 0, 1)',
    SHIRT_GREEN_2: 'rgba(17, 55, 0, 1)',
    SHIRT_YELLOW_1: 'rgba(179, 164, 0, 1)',
    SHIRT_YELLOW_2: 'rgba(128, 118, 0, 1)',
    SHIRT_WHITE: 'rgba(255, 255, 255, 1)',
    PANTS_BLUE_1: 'rgba(16, 4, 255, 1)',
    PANTS_BLUE_2: 'rgba(16, 4, 123, 1)',
    PANTS_BLACK_1: 'rgba(0, 0, 0, 1)',
    SHOES_1: 'rgba(41, 22, 0, 1)',
    SHOES_2: 'rgba(0,0, 0, 1)'
};

/* x-start from back of head, y-start from back of head, x-size, y-size - then, color, number - left-to-right */
var HAIR_TONE = [
    [0, 1, 2, 3],//white
    [2, 3],//brown
    [3],//black
    [4, 5, 6, 7],
    [6, 7],
    [7],
];

var HAIR = [
    /* Female */
    /* Long */
    [-2, -1, 4, 4, CLEAR, 2, COLOR.BLONDE_LIGHT, 2, CLEAR, 1, COLOR.BLONDE_LIGHT, 2, CLEAR, 1, COLOR.BLONDE_LIGHT, 2, CLEAR, 2, COLOR.BLONDE_LIGHT, 1, CLEAR, 3],
    [-2, -1, 4, 4, CLEAR, 2, COLOR.BROWN_LIGHT, 2, CLEAR, 1, COLOR.BROWN_LIGHT, 2, CLEAR, 1, COLOR.BROWN_LIGHT, 2, CLEAR, 2, COLOR.BROWN_LIGHT, 1, CLEAR, 3],
    [-2, -1, 4, 4, CLEAR, 2, COLOR.BROWN_DARK, 2, CLEAR, 1, COLOR.BROWN_DARK, 2, CLEAR, 1, COLOR.BROWN_DARK, 2, CLEAR, 2, COLOR.BROWN_DARK, 1, CLEAR, 3],
    [-2, -1, 4, 4, CLEAR, 2, COLOR.PANTS_BLACK_1, 2, CLEAR, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 2, COLOR.PANTS_BLACK_1, 1, CLEAR, 3],
    /* Male */
    /* Long */
    [-1, -1, 3, 3, CLEAR, 1, COLOR.BLONDE_LIGHT, 4, CLEAR, 1, COLOR.BLONDE_LIGHT, 1, CLEAR, 3],
    [-1, -1, 3, 3, CLEAR, 1, COLOR.BROWN_LIGHT, 4, CLEAR, 1, COLOR.BROWN_LIGHT, 1, CLEAR, 3],
    [-1, -1, 3, 3, CLEAR, 1, COLOR.BROWN_DARK, 4, CLEAR, 1, COLOR.BROWN_DARK, 1, CLEAR, 3],
    [-1, -1, 3, 3, CLEAR, 1, COLOR.PANTS_BLACK_1, 4, CLEAR, 1, COLOR.PANTS_BLACK_1, 1, CLEAR, 3]
];

var HAIR_DESC = [
    'Long Blonde',
    'Long Light Brown',
    'Long Dark Brown',
    'Long Black',
    'Short Blonde',
    'Short Light Brown',
    'Short Dark Brown',
    'Short Black',
];

var HEADS_TONE = [
    [0],
    [1],
    [2],
    [0, 3, 4, 8],
    [1, 5, 6, 9],
    [2, 7, 10]
];

var HEADS = [
    /* Plain */
    [0, 0, 2, 3, COLOR.SKIN_LIGHT, 5, CLEAR, 1],
    [0, 0, 2, 3, COLOR.SKIN_DARK_1, 5, CLEAR, 1],
    [0, 0, 2, 3, COLOR.SKIN_DARK_2, 5, CLEAR, 1],
    /* Short Beard */
    [0, 0, 2, 3, COLOR.SKIN_LIGHT, 3, COLOR.BLONDE_LIGHT, 1, COLOR.SKIN_LIGHT, 1, CLEAR, 1],
    [0, 0, 2, 3, COLOR.SKIN_LIGHT, 3, COLOR.BROWN_LIGHT, 1, COLOR.SKIN_LIGHT, 1, CLEAR, 1],
    [0, 0, 2, 3, COLOR.SKIN_DARK_1, 3, COLOR.BROWN_LIGHT, 1, COLOR.SKIN_DARK_1, 1, CLEAR, 1],
    [0, 0, 2, 3, COLOR.SKIN_DARK_1, 3, COLOR.PANTS_BLACK_1, 1, COLOR.SKIN_DARK_1, 1, CLEAR, 1],
    [0, 0, 2, 3, COLOR.SKIN_DARK_2, 3, COLOR.PANTS_BLACK_1, 1, COLOR.SKIN_DARK_2, 1, CLEAR, 1],
    /* Long Beard */
    [0, 0, 3, 4, COLOR.SKIN_LIGHT, 2, CLEAR, 1, COLOR.SKIN_LIGHT, 1, COLOR.BROWN_LIGHT, CLEAR, 1, COLOR.SKIN_LIGHT, 1, COLOR.BROWN_LIGHT, 2, CLEAR, 2, COLOR.BROWN_LIGHT, 1],
    [0, 0, 3, 4, COLOR.SKIN_DARK_1, 2, CLEAR, 1, COLOR.SKIN_DARK_1, 1, COLOR.PANTS_BLACK_1, CLEAR, 1, COLOR.SKIN_DARK_1, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 2, COLOR.PANTS_BLACK_1, 1],
    [0, 0, 3, 4, COLOR.SKIN_DARK_2, 2, CLEAR, 1, COLOR.SKIN_DARK_2, 1, COLOR.PANTS_BLACK_1, CLEAR, 1, COLOR.SKIN_DARK_2, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 2, COLOR.PANTS_BLACK_1, 1]    
];

var TONE_DESC = [
    'Light',
    'Tan',
    'Dark'
];

var HEAD_DESC = [
    'Shaven',
    'Shaven',
    'Shaven',
    'Short Blonde Beard',
    'Short Light Brown Beard',
    'Short Light Brown Beard',
    'Short Black Beard',
    'Short Black Beard',
    'Long Light Brown Beard',
    'Long Black Beard',
    'Long Black Beard',
];

var SHIRTS = [
    /* Regular */
    [-1, 3, 3, 7, COLOR.SHIRT_RED_1, 4, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 2, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 2, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 2, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 2, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 4],
    [-1, 3, 3, 7, COLOR.SHIRT_RED_2, 4, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 2, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 2, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 2, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 2, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 4],
    [-1, 3, 3, 7, COLOR.SHIRT_GREEN_1, 4, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 2, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 2, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 2, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 2, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 4],
    [-1, 3, 3, 7, COLOR.SHIRT_YELLOW_1, 4, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 2, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 2, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 2, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 2, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 4],
    /* Stripes */
    [-1, 3, 3, 7, COLOR.SHIRT_RED_1, 4, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_1, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_1, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_1, 4],
    [-1, 3, 3, 7, COLOR.SHIRT_RED_2, 4, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_RED_2, 1, COLOR.SHIRT_RED_3, 1, COLOR.SHIRT_RED_2, 4],
    [-1, 3, 3, 7, COLOR.SHIRT_GREEN_1, 4, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_GREEN_1, 1, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_GREEN_1, 1, COLOR.SHIRT_GREEN_2, 1, COLOR.SHIRT_GREEN_1, 4],
    [-1, 3, 3, 7, COLOR.SHIRT_YELLOW_1, 4, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_YELLOW_1, 1, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_YELLOW_1, 1, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 4],
    /* Single Stripe */
    [-1, 3, 3, 7, COLOR.SHIRT_YELLOW_1, 4, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_WHITE, 1, COLOR.SHIRT_YELLOW_1, 1, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 2, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 2, COLOR.SHIRT_YELLOW_2, 1, COLOR.SHIRT_YELLOW_1, 4]
];

var SHIRTS_DESC = [
    'Plain Red',
    'Plain Dark Red',
    'Plain Green',
    'Plain Yellow',
    'Red Striped',
    'Dark Red Striped',
    'Yellow Striped',
    'Yellow Single Striped'
];

var PANTS = [
    [-1, 10, 3, 6, COLOR.PANTS_BLUE_1, 4, CLEAR, 1, COLOR.PANTS_BLUE_1, 2, CLEAR, 1, COLOR.PANTS_BLUE_1, 2, CLEAR, 1, COLOR.PANTS_BLUE_1, 2, CLEAR, 1, COLOR.PANTS_BLUE_1, 2, CLEAR, 1, COLOR.PANTS_BLUE_1, 1],
    [-1, 10, 3, 6, COLOR.PANTS_BLUE_2, 4, CLEAR, 1, COLOR.PANTS_BLUE_2, 2, CLEAR, 1, COLOR.PANTS_BLUE_2, 2, CLEAR, 1, COLOR.PANTS_BLUE_2, 2, CLEAR, 1, COLOR.PANTS_BLUE_2, 2, CLEAR, 1, COLOR.PANTS_BLUE_2, 1],
    [-1, 10, 3, 6, COLOR.PANTS_BLACK_1, 4, CLEAR, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 1, COLOR.PANTS_BLACK_1, 2, CLEAR, 1, COLOR.PANTS_BLACK_1, 1]
];

var PANTS_DESC = [
    'Blue',
    'Dark Blue',
    'Black'
];

var SHOES = [
    [-1, 16, 4, 1, COLOR.SHOES_1, 4],
    [-1, 16, 4, 1, COLOR.SHOES_2, 4],
    [-1, 14, 4, 3, COLOR.SHOES_1, 1, CLEAR, 1, COLOR.SHOES_1, 1, CLEAR, 1, COLOR.SHOES_1, 1, CLEAR, 1, COLOR.SHOES_1, 1, CLEAR, 1, COLOR.SHOES, 4]
];

var SHOES_DESC = [
    'Brown Shoes',
    'Black Shoes',
    'Brown Boots'
];

var IMAGE_TEXT = [
    'No formal training needed!',
    'You are the LAW! Kindof.',
    'RESPECT. You\'ll wish you got some.',
    'I was a real police officer once, then I took...',
    'You can\'t carry a gun!',
    'It\'s better than minimum wage!',
    'If you think the graphics get better, they don\'t.',
    'Animation was\'t in the budget!'
];

var VIOLATIONS = [
    'Shoplifting',
    'Punching Store Clerk',
    'Loitering',
    'Extreme Loitering',
    'Assaulting an Officer',
    'Pocket Sand Dispersal',
    'Running in a walking zone',
    'Bad Attitude',
    'Excessive Happiness',
    'Ludum Dare Participation',
    'Lack of Walking Animation',
    'Using Mall Wifi to illegally download vehicles',
    'Entering the 3rd Dimmension',
    'Long sleeves on T-Shirt Tuesday',
    'Nothing in particular',
    'Mattress tag removal',
    'Excessive Excessiveness',
    'Liked -distasteful move-',
    'Too much rhythm',
    'Skipping School',
    'Did not read the software licensing terms'
];

var ANGRY_REACTIONS = [
    'You\'ll hear from my lawyer!',
    '-redacted-',
    'Abuse!',
    'You will pay for this.',
    'You aren\'t even real police!',
    'I\'m a busy man!'
];

var SCARED_REACTIONS = [
    'Was it my face?',
    'All I wanted was a new pair of pants...',
    'I think you broke a rib',
    'You people are crazy',
    'It\'s because I\'m pixellated isn\'t it?',
    'I think I wet myself...'
];

var GUILT_REACTIONS = [
    'Bah, ya got me!',
    'This isn\'t over!',
    'You have me confused with my sister!',
    'Do I have the right to cry?'
];

var ESCAPE_REACTIONS = [
    '#YOLO',
    'Heh.',
    'Like a ninja!',
    'I am the law!'
];